Delete Configuration
Remove current configuration.
A spec for cleaning the current configuration.
{
"admin_user": "string",
"admin_password": "string"
}
The name of a user with sufficient privileges to perform configuration tasks on the infrastructure, management nodes, and the infrastructure node.
Password for the administrator user.
Unconfigure the appliance task.
{
"id": "string",
"description": "string",
"type": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"admin_password":"string","admin_user":"string"}' https://{api_host}/appliance/configuration-manager/configuration/actions/remove